Bug 41583 - Traceback in users/user if OU without displayName
Traceback in users/user if OU without displayName
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Import scripts
UCS@school 4.1 R2
Other Linux
: P5 normal (vote)
: UCS@school 4.1 R2
Assigned To: Sönke Schwardt-Krummrich
Florian Best
:
Depends on:
Blocks: 41653
  Show dependency treegraph
 
Reported: 2016-06-15 16:34 CEST by Sönke Schwardt-Krummrich
Modified: 2018-07-16 18:29 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2016-06-15 16:34:15 CEST
If there are OUs without displayName, the UDM users/user module shows an error directly after opening the module:

Die Ausführung des Kommandos udm/syntax/choices users/user ist fehlgeschlagen:

Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/notifier/threads.py", line 82, in _run
    tmp = self._function()
  File "/usr/lib/pymodules/python2.7/notifier/__init__.py", line 104, in __call__
    return self._function( *tmp, **self._kwargs )
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/udm/__init__.py", line 941, in _thread
    return read_syntax_choices(syntax, request.options)
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/udm/udm_ldap.py", line 85, in _decorated
    return method(*args, **kwargs)
  File "/usr/lib/pymodules/python2.7/univention/management/console/ldap.py", line 135, in _decorated
    result = func(*args, **kwargs)
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/udm/udm_ldap.py", line 1331, in read_syntax_choices
    for element in map(map_choice, filter(filter_choice, module.search(filter=filter_s))):
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/udm/udm_ldap.py", line 1316, in map_choice
    choices.append((value, syn.label_format % obj.info))
KeyError: 'displayName'
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2016-06-15 16:46:17 CEST
- create_ou now uses the ou name if no displayName has been specified
- the displayName extended attribute for OUs has been marked as valueRequired=1
  - the join script updates the extended attribute automatically if updating 
    from joinscript version <10.
- the migration script converts all OUs automatically during update by using the 
   OU name as displayName if no displayName is set.

ucs-school-import (14.0.11-1):
r70233 | Bug #41583: displayName is now required / ucs-school-migrate-objects-to-4.1R2 adds missing displayName
Comment 2 Florian Best univentionstaff 2016-06-16 00:43:20 CEST
(In reply to Sönke Schwardt-Krummrich from comment #1)
> - create_ou now uses the ou name if no displayName has been specified
OK
> - the displayName extended attribute for OUs has been marked as
> valueRequired=1
OK
>   - the join script updates the extended attribute automatically if updating 
>     from joinscript version <10.
OK
> - the migration script converts all OUs automatically during update by using
> the 
>    OU name as displayName if no displayName is set.
OK
> 
> ucs-school-import (14.0.11-1):
> r70233 | Bug #41583: displayName is now required /
> ucs-school-migrate-objects-to-4.1R2 adds missing displayName

OK: YAML
Comment 3 Florian Best univentionstaff 2016-06-28 18:24:49 CEST
UCS@school 4.1 R2 has been released:
http://docs.software-univention.de/release-notes-ucsschool-4.1R2v1-de.pdf

If this error occurs again, please use "Clone This Bug".